<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: v1.2 Alpha
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 16hot
\* 功能: CTB升级
\* ===========================================
\* Copyright (c) 2002 
\* 团队主页: http://www.11cn.org
\* 团队信箱: ------------------
\* 创建日期: 2002-12-22
\* 修改日期: 2002-12-29
\* 修改说明: ------------------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/
    @set_time_limit("1200");
    function open($dirs)
    {
        global $dirNum,$fileNum;
        

            //生成list1.php文件
            $fileName = $dirs."/users/list.php";
            $listInfo = openfile($fileName);

            $f=@fopen($dirs."/users/list1.php","a"); 
            for($i=0;$i<count($listInfo);$i++) {
                    $fileName = $dirs."/users/".$listInfo[$i][1].".php";
                    $userInfo = get_big_file($fileName);
                    $userList = array("<?die();?>",$userInfo[1],$userInfo[2], $listInfo[$i][3],$userInfo[3],"1",$userInfo[5],"");

        $s=implode("\x0E",$userList);
        fputs($f,$s);    
        fputs($f,"\n");  
        }
        fclose($f); 





    } // end func

    // 打开数据文件---以二维数组返回文件内容
    function openFile($fileName) {
        if (file_exists($fileName)) {
            $f =file($fileName);
            $lines = array();
            foreach ($f as $rawline) {
                $tmpline = explode("\x0E",$rawline);
                array_push($lines, $tmpline);
            }
        }
        return $lines;
    }
 
    // 返回当前行的数据记录数据较大
    function get_big_file($fileName) {
        $f=@fopen($fileName,"r");    
        $rec=@fgets($f,1024*5);    
        $line=explode("\x0E",$rec);
        fclose($f);
        return $line;    
    }  
?>
<html>
<head>
<title>CTB升级程序</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<style type="text/css">
<!--
td {  font-size: 12px}
-->
</style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="755" border="0" cellspacing="1" cellpadding="1" align="center">
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
<br>
<table width="755" border="0" cellspacing="1" cellpadding="6" align="center">
  <tr> 
    <td><b><font color="#FF0000">CTB升级程序</font></b><br>
      谢谢您选择使用CTB，下面将会将为您将ctb由1.4升级到1.5。请注意阅读下面说明：<br>
      1、确认仔细阅读CTB的所有相关文档；<br>
      2、确认已经将最新版的程序文件和模板文件上传到服务器上了；<br>
    </td>
  </tr>
  <tr>
    <td>
    <?php
        if($_POST['send']) {
            //开始更新数据文件
            echo "开始更新数据文件。。。<br>";
            open($_POST[path]);
            echo "更新数据结束！<br><br>";
            echo  "<center>[ <a href=\"javascript:window.close();\">关闭窗口</a> ]</center>";
        } else {
            
    ?>
      <table width="100%" border="0" cellspacing="1" cellpadding="5">
        <form name="form1" method="post" action="">
        <tr> 
            <td width="27%">数据路径：</td>
            <td width="73%"> 
              <input type="text" name="path" value="./data">
          </td>
        </tr>
        <tr> 
            <td width="27%">&nbsp;</td>
            <td width="73%">&nbsp;</td>
        </tr>
        <tr> 
            <td width="27%">&nbsp;</td>
            <td width="73%"> 
              <input type="submit" name="send" value=" 升级 ">
              <input type="reset" name="Submit2" value=" 取消 ">
            </td>
        </tr>
        <tr> 
            <td width="27%">&nbsp;</td>
            <td width="73%">&nbsp;</td>
        </tr>
            </form>
      </table>
      <?php
        }
           
      ?>
    </td>
  </tr>
</table>
</body>
</html>
